/************ [ EXAMPLE KIT: SEWING KIT ] **************/

obj/kit/sewing_kit
	icon = 'sewing_kit.dmi'
	material_type = /obj/materials
	creatable_type = /obj/clothing

	//ALL OTHER DESIRED VARIABLES FROM YOUR CODE GO HERE
	//WEIGHT, CAPACITY, etc.

	New()
		..()
		//PUT SOME STUFF IN IT INITIALLY, IF DESIRED:
		AddItem(/obj/materials/cloth,6) //add six cloth items
		AddItem(/obj/materials/thread,2) //add two thread items
		AddItem(/obj/materials/elastic,2) //add two elastic items

obj/clothing
	var/materials[0]
	icon = 'clothing.dmi'
	shirt
		icon_state = "shirt"
		New()
			..()
			AddMaterial(/obj/materials/cloth,2)
			AddMaterial(/obj/materials/thread)
			//ANY OTHER MATERIALS USED GO HERE
	pants
		icon_state = "pants"
		New()
			..()
			AddMaterial(/obj/materials/cloth,3)
			AddMaterial(/obj/materials/thread)
			AddMaterial(/obj/materials/elastic)
	//ALL OTHER CLOTHING TYPES GO HERE

obj/materials
	icon = 'sewing.dmi'
	gender = PLURAL
		//"some cloth" rather than "a cloth"; those are two different things!
	cloth
		icon_state = "cloth"
	thread
		icon_state = "thread"
	elastic
		icon_state = "elastic"
	//ALL OTHER MATERIAL TYPES GO HERE


/********** [ EXAMPLE KIT: FOOD PRESERVER ] ************/

obj/kit/food_preserver
	creatable_type = /obj/food
	material_type = /obj/food_preservation
	icon = 'preserver.dmi'
	New()
		..()
		new /obj/food_preservation/can(src)
		new /obj/food_preservation/can(src)
		new /obj/food_preservation/can(src)
		new /obj/food_preservation/label(src)
		new /obj/food_preservation/label(src)
		new /obj/food_preservation/beans(src)
		new /obj/food_preservation/beans(src)
		new /obj/food_preservation/beans(src)
		new /obj/food_preservation/sauce(src)
		new /obj/food_preservation/sauce(src)
		new /obj/food_preservation/sauce(src)
		new /obj/food_preservation/sauce(src)

obj/food
	var/materials[0]
	can_of_beans
		icon = 'beans.dmi'
		New()
			..()
			materials += /obj/food_preservation/can
			materials += /obj/food_preservation/label
			materials += /obj/food_preservation/sauce
			materials += /obj/food_preservation/beans

obj/food_preservation
	icon = 'food.dmi'
	can
		icon_state = "can"
	label
		icon_state = "label"
	beans
		gender = PLURAL
		icon_state = "beans"
	sauce
		gender = PLURAL
		icon_state = "sauce"

/*********** [ EXAMPLE TURF KIT: FORGE ] ************/

turf/kit/forge
	creatable_type = /obj/weapon
	material_type = /obj/weapon_parts
	icon = 'forge.dmi'
	New()
		..()
		AddItem(/obj/weapon_parts/stick,3)
		AddItem(/obj/weapon_parts/ingot,10)
		AddItem(/obj/weapon_parts/hilt,4)
		AddItem(/obj/weapon_parts/pommel,2)
		AddItem(/obj/weapon_parts/sword_blade,3)
		AddItem(/obj/weapon_parts/dagger_blade,4)

obj/weapon
	icon = 'weapons.dmi'
	var/materials[0]
	club
		icon_state = "club"
		New()
			..()
			AddMaterial(/obj/weapon_parts/stick)
	sword
		icon_state = "sword"
		New()
			..()
			AddMaterial(/obj/weapon_parts/ingot,2)
			AddMaterial(/obj/weapon_parts/pommel)
			AddMaterial(/obj/weapon_parts/sword_blade)
	dagger
		icon_state = "dagger"
		New()
			..()
			AddMaterial(/obj/weapon_parts/ingot)
			AddMaterial(/obj/weapon_parts/hilt)
			AddMaterial(/obj/weapon_parts/dagger_blade)
	mace
		icon_state = "mace"
		New()
			..()
			AddMaterial(/obj/weapon_parts/ingot,3)
			AddMaterial(/obj/weapon_parts/stick)
			AddMaterial(/obj/weapon_parts/hilt)

obj/weapon_parts
	icon = 'weapon_parts.dmi'
	stick
		icon_state = "stick"
	ingot
		icon_state = "ingot"
	hilt
		icon_state = "hilt"
	pommel
		icon_state = "pommel"
	sword_blade
		icon_state = "sword blade"
	dagger_blade
		icon_state = "dagger blade"

/****************** [ DEMO CODE ] *******************/

world/New()
	..()
	new /turf/kit/forge(locate(3,3,1))

mob/Login()
	..()
	new /obj/kit/food_preserver(src)
	new /obj/kit/sewing_kit(src)

mob/icon = 'kender2.dmi'

mob/Stat()
	statpanel("Inventory:",usr.contents)

obj/verb
	drop()
		set src in usr
		src.loc = usr.loc
	get()
		set src in oview(1)
		src.loc = usr

turf
	icon = 'grey.dmi'