/***** [ EXAMPLE COMBINATION: LONGBOW ] *****/

obj/combo_part

	stave
		icon = 'bow_parts.dmi'
		icon_state = "stave"
		New()
			..()
			ComboResults(/obj/combo_part/sinew,/obj/weapon/bow) //create a bow from sinew

	sinew
		icon = 'bow_parts.dmi'
		icon_state = "sinew"
		New()
			..()
			ComboResults(/obj/combo_part/stave,/obj/weapon/bow) //create a bow from a stave

obj/weapon/bow
	icon = 'bow.dmi'

	verb/fire()
		usr << "Twang!  No arrows."

	verb/load()
		usr << "You don't have any arrows.  You see, giving arrows to you would be dangerous; \
			so no cigar, [usr.gender==FEMALE ? "babe" : "bucko"]. =)"


/*** [ EXAMPLE COMBINATIONS: GLOCK-17 9mm PISTOL ] ***/

obj/combo_part

	bolt
		icon = 'glock-17parts.dmi'
		icon_state = "bolt"
		New()
			..()
			ComboResults(/obj/combo_part/chamber,/obj/combo_part/chamberbolt)

	trigger
		icon = 'glock-17parts.dmi'
		icon_state = "trigger"
		New()
			..()
			ComboResults(/obj/combo_part/hiltrelease,/obj/combo_part/hiltreleasetrigger)

	chamber
		icon = 'glock-17parts.dmi'
		icon_state = "chamber"
		New()
			..()
			ComboResults(/obj/combo_part/bolt,/obj/combo_part/chamberbolt)

	release
		icon = 'glock-17parts.dmi'
		icon_state = "release"
		New()
			..()
			ComboResults(/obj/combo_part/hilt,/obj/combo_part/hiltrelease)

	safety
		icon = 'glock-17parts.dmi'
		icon_state = "safety"
		New()
			..()
			ComboResults(/obj/combo_part/chamberbolt,/obj/combo_part/chamberboltsafety)

	hilt
		icon = 'glock-17parts.dmi'
		icon_state = "hilt"
		New()
			..()
			ComboResults(/obj/combo_part/release,/obj/combo_part/hiltrelease)

	barrel
		icon = 'glock-17parts.dmi'
		icon_state = "barrel"
		New()
			..()
			ComboResults(/obj/combo_part/slide,/obj/combo_part/barrelslide)

	slide
		icon = 'glock-17parts.dmi'
		icon_state = "slide"
		New()
			..()
			ComboResults(/obj/combo_part/barrel,/obj/combo_part/barrelslide)


	barrelslide
		icon = 'glock-17parts.dmi'
		icon_state = "barrelslide"
		New()
			..()
			ComboResults(/obj/combo_part/chamberboltsafety,/obj/combo_part/barrelslide_chamberboltsafety)
			ComboResults(/obj/combo_part/chamberboltsafety_hiltreleasetrigger,/obj/firearm/Glock_17)
			AddPieces(/obj/combo_part/barrel,/obj/combo_part/slide)
			name = "barrel and slide combination"

	hiltrelease
		icon = 'glock-17parts.dmi'
		name = "hilt and release combination"
		icon_state = "hiltrelease"
		New()
			..()
			ComboResults(/obj/combo_part/trigger,/obj/combo_part/hiltreleasetrigger)
			AddPieces(/obj/combo_part/hilt,/obj/combo_part/release)

	chamberbolt
		icon = 'glock-17parts.dmi'
		name = "chamber and bolt combination"
		icon_state = "chamberbolt"
		New()
			..()
			ComboResults(/obj/combo_part/safety,/obj/combo_part/chamberboltsafety)
			AddPieces(/obj/combo_part/chamber,/obj/combo_part/bolt)


	hiltreleasetrigger
		icon = 'glock-17parts.dmi'
		name = "hilt, release, and trigger combination"
		icon_state = "hiltreleasetrigger"
		New()
			..()
			ComboResults(/obj/combo_part/chamberboltsafety,/obj/combo_part/chamberboltsafety_hiltreleasetrigger)
			AddPieces(/obj/combo_part/hiltrelease,/obj/combo_part/trigger)

	chamberboltsafety
		icon = 'glock-17parts.dmi'
		name = "chamber, bolt, and safety combination"
		icon_state = "chamberboltsafety"
		New()
			..()
			ComboResults(/obj/combo_part/barrelslide,/obj/combo_part/barrelslide_chamberboltsafety)
			ComboResults(/obj/combo_part/hiltreleasetrigger,/obj/combo_part/chamberboltsafety_hiltreleasetrigger)
			AddPieces(/obj/combo_part/safety,/obj/combo_part/chamberbolt)


	barrelslide_chamberboltsafety
		icon = 'glock-17parts.dmi'
		name = "barrel, slide, chamber, bolt, and safety combination"
		icon_state = "barrelslide_chamberboltsafety"
		New()
			..()
			ComboResults(/obj/combo_part/hiltreleasetrigger,/obj/firearm/Glock_17)
			AddPieces(/obj/combo_part/barrelslide,/obj/combo_part/chamberboltsafety)

	chamberboltsafety_hiltreleasetrigger
		icon = 'glock-17parts.dmi'
		name = "hilt, release, trigger, chamber, bolt, and safety combination"
		icon_state = "chamberboltsafety_hiltreleasetrigger"
		New()
			..()
			ComboResults(/obj/combo_part/barrelslide,/obj/firearm/Glock_17)
			AddPieces(/obj/combo_part/chamberboltsafety,/obj/combo_part/hiltreleasetrigger)


obj/firearm/Glock_17
	var/pieces[0]
	name = "\improper Glock-17 9mm semi-automatic"
	icon = 'glock-17parts.dmi'
	icon_state = "Glock 17"
	New()
		..()
		AddPieces(/obj/combo_part/chamberboltsafety_hiltreleasetrigger,
			/obj/combo_part/barrelslide)

	verb/fire()
		set src in usr
		usr << "Click!  No bullets."

	verb/reload()
		set src in usr
		usr << "Ha, you think that you'd actually get a clip?  Just how stupid \
			do you think I am?!  With you, that wouldn't be SAFE! =)"

/*********** [ DEMO CODE ] *************/

mob/verb/how_to_make_a_pistol()
	var/html = "<body bgcolor=#999999>"
	html += "<h3>How to Put Together a Glock-17</h3>"
	html += "(No, this isn't actually how you put together a real Glock-17, \
		but I think it'd be fairly close. =)<br>"
	html += "<ol><li>Take the barrel and slide, and insert the \
		barrel through the end of the slide until it clicks into \
		place."
	html += "<li>Take the hilt and release, and place the release \
		into the groove at the top of the hilt."
	html += "<li>Take the chamber and bolt, and insert the bolt \
		into the underside of the chamber with the two pins facing \
		upward, and the large side facing the open end of the chamber."
	html += "<li>Insert the trigger onto the combined hilt and release \
		in the space at the upper right of the trigger, connecting the \
		rear portion of the hook on the trigger to the hole within the \
		release."
	html += "<li>Place the safety onto the chamber and bolt, sliding it \
		horizontally through the groove on the right side to the left side, \
		in front of the bolt's downward facing slot."
	html += "<li>Place the hilt, trigger, and release combo onto the chamber, \
		bolt, and safety combo, pushing until it clicks, then insert the \
		resultant combo into the bottom of the rear portion of the slide."
	html += "<li>Dry-fire (eg. without ammunition) the weapon three times \
		without the safety on to test the functionality before inserting a \
		clip.  Failure to do this may result in the weapon jamming."
	usr << browse(html)

mob/Login()
	..()
	new /obj/combo_part/stave(src)
	new /obj/combo_part/sinew(src)
	new /obj/combo_part/bolt(src)
	new /obj/combo_part/trigger(src)
	new /obj/combo_part/release(src)
	new /obj/combo_part/safety(src)
	new /obj/combo_part/slide(src)
	new /obj/combo_part/hilt(src)
	new /obj/combo_part/barrel(src)
	new /obj/combo_part/chamber(src)